Documentation Index
Fetch the complete documentation index at: https://docs.humic.dev/llms.txt
Use this file to discover all available pages before exploring further.
Get current project
Returns metadata for the design system associated with your API key.
curl https://humic.dev/api/v1/project \
-H "Authorization: Bearer sk_live_your_key"
{
"data": {
"name": "Brand",
"slug": "brand",
"description": null,
"tokenCount": 42,
"scaleCount": 5,
"lastUpdated": "2025-03-15T14:30:00Z"
}
}
List all projects
Returns all design systems accessible with your API key.
curl https://humic.dev/api/v1/projects \
-H "Authorization: Bearer sk_live_your_key"
{
"data": {
"projects": [
{
"id": "d1a2b3c4-...",
"name": "Brand",
"slug": "brand"
},
{
"id": "e5f6g7h8-...",
"name": "Marketing",
"slug": "marketing"
}
]
}
}